Skip to main content
POST
IP → Business Profile

Authorizations

X-Api-Key
string
header
required

Per-account API key. Also accepted as Api-Key or Authorization: Bearer <key>.

Body

application/json
ip_address
string
required

IPv4 or IPv6 address of the visitor.

Example:

"203.0.113.42"

user_agent
string

Visitor's browser User-Agent. Optional; improves match confidence when provided.

Example:

"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36"

include_mobile_phone
boolean
default:false

Also look up the contact's mobile phone number and include it as mobile_phone in the result.

require_email
boolean
default:false

Only return and bill for profiles that contain an email address.

Response

Profile found (3 credits charged)

result
object
required

Work profile for the matched contact. Only fields known for the contact are present.